import request from '@/utils/request'


//获取待开外协单的订单列表
export function getInfoOutAssist(data) {
  return request({
    url: '/order/v1/getWaitOutSourceOrderList',
    method: 'post',
    params: data
  })
}
//是获取待开制外协单的订单详情的函数
export function getOutAssistOrderDetail(data) {
  return request({
    url: '/outassist/getOutAssistOrderDetail',
    method: 'post',
    params: data
  })
}
//获取外协单详情
export function getInfo(data) {
  return request({
    url: '/outassist/queryOutAssistBill',
    method: 'post',
    params: data
  })
}
//新增加外协单
export function addInfo(data) {
  return request({
    url: '/outassist/newOutAssistBill',
    method: 'post',
    data: data
  })
}
//获取id 施工单详情
export function getInfoById(data) {
  return request({
    url: '/outassist/getOutAssistBill',
    method: 'post',
    params: data
  })
}
//外协单列表
export function queryOutAssistBill(data) {
  return request({
    url: '/outassist/queryOutAssistBill',
    method: 'post',
    params: data
  })
}
//修改外协单
export function editOutAssistBill(data) {
  return request({
    url: '/outassist/editOutAssistBill',
    method: 'post',
    params: data
  })
}
//反馈外协单
export function feedbackOutAssistBillList(data) {
  return request({
    url: '/outassist/feedbackOutAssistBillList',
    method: 'post',
    params: data
  })
}
//作废外协单
export function voidOutAssistBill(data) {
  return request({
    url: '/outassist/voidOutAssistBill',
    method: 'post',
    params: data
  })
}

//获取施工单脚印
export function getPrintBillSteps(data) {
  return request({
    url: '/printbill/getPrintBillSteps',
    method: 'post',
    params: data
  })
}

//施工单退回
export function backPrintBill(data) {
  return request({
    url: '/printbill/backPrintBill',
    method: 'post',
    params: data
  })
}

//施工单作废
export function voidPrintBill(data) {
  return request({
    url: '/printbill/voidPrintBill',
    method: 'post',
    params: data
  })
}
//从数据库重建指定年份施工单缓存
export function rebuildEsCacheYear(data) {
  return request({
    url: '/printbill/rebuildEsCacheYear',
    method: 'post',
    params: data
  })
}

//从数据库重建全部施工单缓存
export function rebuildEsCache(data) {
  return request({
    url: '/printbill/rebuildEsCache',
    method: 'post',
    params: data
  })
}
//获取纸张开数档案
//获取列表
export function queryPaperCutInfo(data) {
  return request({
    url: '/doc/queryPaperCutInfo',
    method: 'post',
    params: data
  })
}


//获取机型名称
export function getPrinterNameList(data) {
  return request({
    url: '/doc/getAllEnableMachineType',
    method: 'post',
    params: data
  })
}
//字典获取印刷色数
export function getDictTypeInfo(data) {
  return request({
    url: '/system/selectDictDataList',
    method: 'post',
    params: data
  })
}

//外协单打印
export function outAssistDoPrint(data) {
  return request({
    url: '/outassist/outAssistDoPrint',
    method: 'post',
    params: data
  })
}

//参数idOrders，多个订单id用逗号分隔。获取订单施工单列表
export function getOrderPrintBillList(data) {
  return request({
    url: '/order/v1/getOrderPrintBillList',
    method: 'post',
    params: data
  })
}

//反馈外协单,带订单打包
export function feedbackOutAssistBill(data) {
  return request({
    url: '/outassist/feedbackOutAssistBill',
    method: 'post',
    params: data
  })
}

//获取来源厂外协单详情
export function viewRemoteBill(data) {
  return request({
    url: '/outassistBusiness/viewRemoteBill',
    method: 'post',
    params: data
  })
}
//远程获取外协单详情
export function getRemoteOutAssistInfo(data) {
  return request({
    url: '/outassistBusiness/getRemoteOutAssistInfo',
    method: 'post',
    params: data
  })
}
//远程反馈外协单
export function remoteFeedbackOutAssistBill(data) {
  return request({
    url: '/outassistBusiness/remoteFeedbackOutAssistBill',
    method: 'post',
    params: data
  })
}
//获取外协单产能
export function calcOutAssistCapacity(data) {
  return request({
    url: '/outassist/calcOutAssistCapacity',
    method: 'post',
    params: data
  })
}
//外协单打包辅料审核
export function outAssistPackFeedback(data) {
  return request({
    url: '/outassist/outAssistPackFeedback',
    method: 'post',
    params: data
  })
}

